Subject: [PATCH v6 4/5] iommu/mediatek: Add mt8173 IOMMU driver

From: [email-masked] (Joerg Roedel)
Date: Wed, 16 Dec 2015 16:15:15 +0100

On Tue, Dec 15, 2015 at 12:37:34PM +0000, Robin Murphy wrote:
> The potential issue I *do* see, looking more closely, is that
> iommu_group_get_for_dev() is setting group->domain but not calling
> the attach_dev callback, which looks wrong...

Attaching the device happens from iommu_group_add_device(), which is
called from iommu_group_get_for_dev() right after the domains are
allocated/initialized.

	Joerg